Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class OnEventTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.OnEventTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class OnEventTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `dsName`
`protected java.lang.String` | `eventAction`
`protected java.lang.String` | `eventVoName`
`static java.lang.String` | `JBOEVENT`
`static java.lang.String` | `JBOEVENTVO`
`protected java.lang.String` | `list`
`protected java.lang.String` | `name`
`protected java.lang.String` | `voName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OnEventTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.String` | `getAction()`
`protected void` | `initialize()`
`void` | `setDatasource(java.lang.String sValue)`
`void` | `setList(java.lang.String sValue)`
`void` | `setName(java.lang.String sValue)`
`void` | `setViewobject(java.lang.String sValue)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JBOEVENT

    public static final java.lang.String JBOEVENT

  See Also:
    Constant Field Values

### JBOEVENTVO

    public static final java.lang.String JBOEVENTVO

  See Also:
    Constant Field Values

### name

    protected java.lang.String name

### list

    protected java.lang.String list

### voName

    protected java.lang.String voName

### dsName

    protected java.lang.String dsName

### eventVoName

    protected java.lang.String eventVoName

### eventAction

    protected java.lang.String eventAction

Constructor Detail

### OnEventTag

    public OnEventTag()

Method Detail

### setList

    public void setList(java.lang.String sValue)

### setName

    public void setName(java.lang.String sValue)

### setViewobject

    public void setViewobject(java.lang.String sValue)

### setDatasource

    public void setDatasource(java.lang.String sValue)

### getAction

    public java.lang.String getAction()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### initialize

    protected void initialize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.